import React, { useState, useEffect } from "react";
import { useSearchViewModel } from "searchResults/controller/searchResultsViewModel";
import { useSearchStoreImplementation } from "searchResults/data/searchStoreImplementation";

export function SearchView() {
  const store = useSearchStoreImplementation();
  const { searchResults, search } = useSearchViewModel(store);
  const [query, setQuery] = useState("");

  return (
    <div>
      <input
        type="text"
        className="border border-1"
        placeholder="Search..."
        onChange={() => search()}
      />
      {/* <div>{searchResults}</div> */}
    </div>
  );
}
